Subject: bug#75209: 30.0.93; Emacs reader failed to read data in "/home/nlj/.cache/org-persist/gc-lock.eld"

From: Ihor Radchenko <[email-masked]>
Date: Sat, 11 Jan 2025 14:05:22 +0000

Ihor Radchenko <[email-masked]> writes:

>> Writing to a file is not atomic.  If you instead write to a temporary
>> file, then rename it to the final file name, the renaming is atomic on
>> Posix filesystems.
>>
>> This would mean you can still use with-temp-file, but with a temporary
>> file name as its argument, and you need to add a single rename-file
>> call afterwards.
>
> That's fine. I just thought that there is some existing function doing
> exactly this. If not, I can do it manually, of course.

Done on Org main.
https://git.savannah.gnu.org/cgit/emacs/org-mode.git/commit/?id=7999433067
https://git.savannah.gnu.org/cgit/emacs/org-mode.git/commit/?id=2a620113c1

I will not risk bugfix.

Hopefully, the bug is resolved now.

-- 
Ihor Radchenko // yantar92,
Org mode maintainer,
Learn more about Org mode at <https://orgmode.org/>.
Support Org development at <https://liberapay.com/org-mode>,
or support my work at <https://liberapay.com/yantar92>